<template>
	<!-- 添加货代或司机 -->
	<view class="addTo-freightForwarder-drvier">
		<view class="addForm">
			<u--form labelPosition="top" ref="form1">
				<u-form-item labelWidth="20%" label="姓名" ref="item1"><u--input v-model="name" :customStyle="{ border: '1px solid #dddddd' }"></u--input></u-form-item>
				<u-form-item labelWidth="25%" label="手机号" ref="item1"><u--input v-model="phone" :customStyle="{ border: '1px solid #dddddd' }"></u--input></u-form-item>
				<u-form-item labelWidth="25%" label="汽车车牌号" ref="item1" v-if="role == 2">
					<u--input v-model="carNo" :customStyle="{ border: '1px solid #dddddd' }"></u--input>
				</u-form-item>
			</u--form>
		</view>
		<view class="addBtn"><u-button text="邀请" type="primary" @click="addToHuoDaiOrDriver"></u-button></view>
	</view>
</template>

<script>
import { customerId } from '@/utils/status.js';
export default {
	onLoad(params) {
		this.role = params.role;
		if (params.fleetId) {
			this.fleetId = params.fleetId;
		}
	},
	data() {
		return {
			role: null, // 决定添加货代司机，还是车队司机
			fleetId: null,
			name: '',
			phone: '',
			carNo: '',
			customerId
		};
	},
	methods: {
		init() {},
		addToHuoDaiOrDriver() {
			switch (this.role) {
				case '1':
					if (this.name == '' || this.phone == '') {
						uni.showToast({
							title: '请规范输入！',
							icon: 'error',
							duration: 2000
						});
					} else {
						this.bindHuoDai();
					}
					break;
				case '2':
					if (this.name == '' || this.phone == '' || this.carNo == '') {
						uni.showToast({
							title: '请规范输入！',
							icon: 'error',
							duration: 2000
						});
					} else {
						this.bindUserFleet();
					}
				default:
					break;
			}
		},
		// 邀请货代
		bindHuoDai() {	
			// this.$reqPost('bindHuoDai', { customerId: this.customerId, name: this.name, phone: this.phone }, 'params').then(res => {
			this.$reqPost('bindHuoDai', { name: this.name, phone: this.phone }).then(res => {
				if (res.code == 0) {
					this.$u.toast(res.msg ? res.msg : res.data);
					setTimeout(() => {
						uni.navigateBack({
							delta: 1
						});
					}, 1000);
				}
				console.log('邀请货代', res);
			});
		},
		// 邀请司机
		bindUserFleet() {
			this.$reqPost('bindUserFleet', { fleetId: this.fleetId, name: this.name, phone: this.phone, carNo: this.carNo }, 'params').then(res => {
				console.log('邀请司机', res);
				if (res.code == 0) {
					this.$u.toast(res.data?res.data:'操作成功');
					uni.navigateBack({
						delta: 1
					});
				} else {
					uni.showToast({
						title: res.msg,
						icon: 'null',
						duration: 2000
					});
				}
			});
		}
	}
};
</script>

<style lang="scss" scoped>
::v-deep.addTo-freightForwarder-drvier {
	width: 90%;
	margin: 0 auto;
	.addForm {
		margin: 0 auto;
	}
	.addBtn {
		width: 90%;
		position: fixed;
		bottom: vww(48);
		margin: 0 auto;
	}
}
</style>
